List Forms
/unified/forms/forms
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
created_atnameupdated_at
2 supported
nameupdated_atcreated_atupdated_atThe date and time when the form was last updated.
7 supported
The workspace to which the form belongs.
2 supported1 required2 notes
The workspace the form belongs.
The workspace to which the form belongs.
The unique identifier for the workspace.
The name of the workspace.
The name of the form.
7 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Forms
The date and time when the form was created.
7 supported
The form fields
15 properties
The field's columns. If present, the field's type is matrix
4 properties
The column's description
The column's label
The field's options
3 properties
The option's description
The option's label
The option's value
The column's value
The field's description
The field's group identifier. If present, the field is part of a group.
3 properties
The field groups's identifier
The field groups's label
The field groups's name
The format of the field.
urlemailpassword
The field's unique identifier
Whether the field is required
The field's label
The field's name. This is the name of the property in the entity.
The field's options
3 properties
The option's description
The option's label
The option's value
The field's placeholder
The index position of field in the form.
The range applicable for field types number, rating, scale.
4 properties
The maximum range for the field.
The label for the maximum range of the field.
The minimum range for the field.
The label for the minimum range of the field.
The field's rows. If present, the field's type is matrix
3 properties
The row's description
The row's label
The row's value
The field's type. If no clear mapping exists, then raw value is returned.
statementstringtextrich_textnumberbooleandatedatetimetimeenumarrayfileratingsliderrankinggroupmatrix+ 5 more
The validation string for the field.
The unique identifier of the form.
7 supported
The date and time when the form was last submitted.
1 supported
The name of the form.
7 supported
The organization to which the workspace belongs.
2 properties
The unique identifier of the organization.
The name of the organization.
Raw data returned from the remote API call.
The type of the form.
3 supported
The date and time when the form was last updated.
7 supported
The workspace to which the form belongs.
2 supported
2 properties
The unique identifier of the workspace.
The name of the workspace.
curl -X GET 'https://api.truto.one/unified/forms/forms?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/forms/forms?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/forms/forms"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'forms',
'forms',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"forms",
"forms",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())